Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 15-12-2019 19:39:17

Rabibocheur
Membre
Lieu : Marais mouillé (Poitevin)
Distrib. : Debian 10 (buster)
Noyau : Linux 5.3.0-0 amd64
(G)UI : Gnome 3.30.2 / GDM3
Inscription : 13-11-2019

[RESOLU] Problème d'installation STEAM

Bonjour / bonsoir,

j’essaie d’installer steam, mais ça ne veux pas et je ne sais pas comment faire.


5m9c.png

sudo apt update && sudo apt upgrade


Atteint :1 http://ftp.fr.debian.org/debian buster InRelease
Atteint :2 http://security.debian.org/debian-security buster/updates InRelease
Atteint :3 http://ftp.fr.debian.org/debian buster-updates InRelease
Atteint :4 http://ftp.fr.debian.org/debian buster-backports InRelease
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Tous les paquets sont à jour.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
 





sudo apt install steam


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 steam:i386 : Dépend: libgl1-mesa-dri:i386 mais ne sera pas installé
              Dépend: libgl1-mesa-dri:i386 (>= 17.3) mais ne sera pas installé ou
                       libtxc-dxtn0:i386 mais il n'est pas installable
              Dépend: libgl1-mesa-glx:i386 mais ne sera pas installé
              Dépend: libgpg-error0:i386 (>= 1.10) mais ne sera pas installé
              Dépend: libudev1:i386 mais ne sera pas installé
              Dépend: libxcb-dri3-0:i386 (>= 1.11.1) mais ne sera pas installé
              Dépend: libxinerama1:i386 (>= 2:1.1.1) mais ne sera pas installé
              Dépend: libc6:i386 (>= 2.15) mais ne sera pas installé
              Dépend: libstdc++6:i386 (>= 4.8) mais ne sera pas installé
              Dépend: libx11-6:i386 mais ne sera pas installé
              Recommande: libxss1:i386 mais ne sera pas installé
              Recommande: mesa-vulkan-drivers:i386 mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
 





sudo apt-cache policy


Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 100 http://ftp.fr.debian.org/debian buster-backports/non-free i386 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=non-free,b=i386
     origin ftp.fr.debian.org
 100 http://ftp.fr.debian.org/debian buster-backports/non-free amd64 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=non-free,b=amd64
     origin ftp.fr.debian.org
 100 http://ftp.fr.debian.org/debian buster-backports/contrib i386 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=contrib,b=i386
     origin ftp.fr.debian.org
 100 http://ftp.fr.debian.org/debian buster-backports/contrib amd64 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=contrib,b=amd64
     origin ftp.fr.debian.org
 100 http://ftp.fr.debian.org/debian buster-backports/main i386 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=main,b=i386
     origin ftp.fr.debian.org
 100 http://ftp.fr.debian.org/debian buster-backports/main amd64 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=main,b=amd64
     origin ftp.fr.debian.org
 500 http://ftp.fr.debian.org/debian buster-updates/main i386 Packages
     release o=Debian,a=stable-updates,n=buster-updates,l=Debian,c=main,b=i386
     origin ftp.fr.debian.org
 500 http://ftp.fr.debian.org/debian buster-updates/main amd64 Packages
     release o=Debian,a=stable-updates,n=buster-updates,l=Debian,c=main,b=amd64
     origin ftp.fr.debian.org
 500 http://security.debian.org/debian-security buster/updates/non-free i386 Packages
     release v=10,o=Debian,a=stable,n=buster,l=Debian-Security,c=non-free,b=i386
     origin security.debian.org
 500 http://security.debian.org/debian-security buster/updates/non-free amd64 Packages
     release v=10,o=Debian,a=stable,n=buster,l=Debian-Security,c=non-free,b=amd64
     origin security.debian.org
 500 http://security.debian.org/debian-security buster/updates/main i386 Packages
     release v=10,o=Debian,a=stable,n=buster,l=Debian-Security,c=main,b=i386
     origin security.debian.org
 500 http://security.debian.org/debian-security buster/updates/main amd64 Packages
     release v=10,o=Debian,a=stable,n=buster,l=Debian-Security,c=main,b=amd64
     origin security.debian.org
 500 http://ftp.fr.debian.org/debian buster/non-free i386 Packages
     release v=10.2,o=Debian,a=stable,n=buster,l=Debian,c=non-free,b=i386
     origin ftp.fr.debian.org
 500 http://ftp.fr.debian.org/debian buster/non-free amd64 Packages
     release v=10.2,o=Debian,a=stable,n=buster,l=Debian,c=non-free,b=amd64
     origin ftp.fr.debian.org
 500 http://ftp.fr.debian.org/debian buster/contrib i386 Packages
     release v=10.2,o=Debian,a=stable,n=buster,l=Debian,c=contrib,b=i386
     origin ftp.fr.debian.org
 500 http://ftp.fr.debian.org/debian buster/contrib amd64 Packages
     release v=10.2,o=Debian,a=stable,n=buster,l=Debian,c=contrib,b=amd64
     origin ftp.fr.debian.org
 500 http://ftp.fr.debian.org/debian buster/main i386 Packages
     release v=10.2,o=Debian,a=stable,n=buster,l=Debian,c=main,b=i386
     origin ftp.fr.debian.org
 500 http://ftp.fr.debian.org/debian buster/main amd64 Packages
     release v=10.2,o=Debian,a=stable,n=buster,l=Debian,c=main,b=amd64
     origin ftp.fr.debian.org
Paquets épinglés :
 





uname -srvo


Linux 5.2.0-0.bpo.2-amd64 #1 SMP Debian 5.2.9-2~bpo10+1 (2019-08-25) GNU/Linux





lsb_release -a


No LSB modules are available.
Distributor ID: Debian
Description:  Debian GNU/Linux 10 (buster)
Release:  10
Codename: buster




Comment je peux faire ?  S'il vous plaît ?

Merci,
Rabibocheur.

Dernière modification par Rabibocheur (17-12-2019 15:01:57)


Lenovo Ideapad S340-15API - AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx 2.10 Ghz 64BIts - 4Go RAM - Disque dur SSD

Hors ligne

#2 16-12-2019 13:41:36

Rabibocheur
Membre
Lieu : Marais mouillé (Poitevin)
Distrib. : Debian 10 (buster)
Noyau : Linux 5.3.0-0 amd64
(G)UI : Gnome 3.30.2 / GDM3
Inscription : 13-11-2019

Re : [RESOLU] Problème d'installation STEAM

dpkg -l | grep -iE "linux-image|linux-headers"


ii  linux-headers-5.3.0-0.bpo.2-amd64     5.3.9-2~bpo10+1                      amd64        Header files for Linux 5.3.0-0.bpo.2-amd64
ii  linux-headers-5.3.0-0.bpo.2-common    5.3.9-2~bpo10+1                      all          Common header files for Linux 5.3.0-0.bpo.2
ii  linux-headers-amd64                   5.3.9-2~bpo10+1                      amd64        Header files for Linux amd64 configuration (meta-package)
rc  linux-image-4.19.0-6-amd64            4.19.67-2+deb10u2                    amd64        Linux 4.19 for 64-bit PCs (signed)
ii  linux-image-5.2.0-0.bpo.2-amd64       5.2.9-2~bpo10+1                      amd64        Linux 5.2 for 64-bit PCs (signed)
ii  linux-image-5.3.0-0.bpo.2-amd64       5.3.9-2~bpo10+1                      amd64        Linux 5.3 for 64-bit PCs (signed)
ii  linux-image-amd64                     5.3.9-2~bpo10+1                      amd64        Linux for 64-bit PCs (meta-package)
 


Lenovo Ideapad S340-15API - AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx 2.10 Ghz 64BIts - 4Go RAM - Disque dur SSD

Hors ligne

#3 16-12-2019 14:04:10

David5647
Membre
Distrib. : Debian Bullseye/Sid
Noyau : 5.7.0-2-amd64
(G)UI : KDE/i3wm
Inscription : 27-08-2017

Re : [RESOLU] Problème d'installation STEAM

tu peux tenter ta chance avec aptitude, qui est un peu plus loquace que apt :

aptitude why-not libgl1-mesa-dri:i386


peut peut-être aider à en savoir plus

Hors ligne

#4 16-12-2019 14:19:23

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] Problème d'installation STEAM

avant d'installer steam , tu as pensé à configurer le multiarch ?

-- wiki debian HOW TO MULTIARCH --

commence par taper ceci :

dpkg --print-architecture


si tout est standard chez toi , tu dois avoir comme réponse : amd64


ensuite essaies ces commandes :

dpkg --add-architecture i386


installe normalement l'architecture supplémentaire 32 bits


apt update


met à jour les sources donc , ici , les sources 64 bits et 32 bits installées (cde ci dessus)


dpkg --print-foreign-architectures


vérifie les architectures supplémentaires .
ici , doit renvoyer : i386 (32bits)



et voilà . c'est terminé pour le multiarch . tu n'a plus qu'à recommencer l'installation de  steam :

apt install --reinstall steam


et poste le retour pour vérifier

Dernière modification par Debian Alain (16-12-2019 14:25:17)

Hors ligne

#5 16-12-2019 14:52:08

David5647
Membre
Distrib. : Debian Bullseye/Sid
Noyau : 5.7.0-2-amd64
(G)UI : KDE/i3wm
Inscription : 27-08-2017

Re : [RESOLU] Problème d'installation STEAM

@Debian Alain : si tu lis le retour du "sudo apt-cache policy" : il y a le multiarch

Hors ligne

#6 16-12-2019 15:07:41

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] Problème d'installation STEAM

oui , j'ai vu .

mais je me pose la question : pourquoi son install refuse les paquets 32 bits ?

multiarch mal installé ?

Hors ligne

#7 16-12-2019 15:08:26

Rabibocheur
Membre
Lieu : Marais mouillé (Poitevin)
Distrib. : Debian 10 (buster)
Noyau : Linux 5.3.0-0 amd64
(G)UI : Gnome 3.30.2 / GDM3
Inscription : 13-11-2019

Re : [RESOLU] Problème d'installation STEAM

aptitude why-not libgl1-mesa-dri:i386


Not currently installed
The candidate version 18.3.6-2 has priority optionnel
No dependencies require to remove libgl1-mesa-dri:i386
 



@Debian Alain  : Oui comme le dit @David5647, j'avais précédemment fait la démarche du multiarch.


dpkg --print-architecture


amd64



sudo dpkg --add-architecture i386


sudo apt update


Atteint :1 http://security.debian.org/debian-security buster/updates InRelease
Atteint :2 http://ftp.fr.debian.org/debian buster InRelease
Atteint :3 http://ftp.fr.debian.org/debian buster-updates InRelease
Atteint :4 http://ftp.fr.debian.org/debian buster-backports InRelease
Lecture des listes de paquets... Fait            
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Tous les paquets sont à jour.
 




dpkg --print-foreign-architectures


i386




sudo apt install --reinstall steam


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 steam:i386 : Dépend: libgl1-mesa-dri:i386 mais ne sera pas installé
              Dépend: libgl1-mesa-dri:i386 (>= 17.3) mais ne sera pas installé ou
                       libtxc-dxtn0:i386 mais il n'est pas installable
              Dépend: libgl1-mesa-glx:i386 mais ne sera pas installé
              Dépend: libgpg-error0:i386 (>= 1.10) mais ne sera pas installé
              Dépend: libudev1:i386 mais ne sera pas installé
              Dépend: libxcb-dri3-0:i386 (>= 1.11.1) mais ne sera pas installé
              Dépend: libxinerama1:i386 (>= 2:1.1.1) mais ne sera pas installé
              Dépend: libc6:i386 (>= 2.15) mais ne sera pas installé
              Dépend: libstdc++6:i386 (>= 4.8) mais ne sera pas installé
              Dépend: libx11-6:i386 mais ne sera pas installé
              Recommande: libxss1:i386 mais ne sera pas installé
              Recommande: mesa-vulkan-drivers:i386 mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
 

Dernière modification par Rabibocheur (16-12-2019 15:14:52)


Lenovo Ideapad S340-15API - AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx 2.10 Ghz 64BIts - 4Go RAM - Disque dur SSD

Hors ligne

#8 16-12-2019 15:35:05

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] Problème d'installation STEAM

que dit : ?

aptitude -s install steam


pour installer , supprimer le  "-s" (simulate)

Hors ligne

#9 16-12-2019 15:42:07

Rabibocheur
Membre
Lieu : Marais mouillé (Poitevin)
Distrib. : Debian 10 (buster)
Noyau : Linux 5.3.0-0 amd64
(G)UI : Gnome 3.30.2 / GDM3
Inscription : 13-11-2019

Re : [RESOLU] Problème d'installation STEAM

sudo aptitude install steam


Note: selecting "steam:i386" instead of the virtual package "steam"
Les NOUVEAUX paquets suivants vont être installés :
  gcc-8-base:i386{a} libatomic1:i386{ab} libbsd0:i386{a} libc6:i386{ab}
  libdrm-amdgpu1:i386{a} libdrm-intel1:i386{a} libdrm-nouveau2:i386{a}
  libdrm-radeon1:i386{a} libdrm2:i386{a} libedit2:i386{a} libelf1:i386{a}
  libexpat1:i386{a} libffi6:i386{a} libgcc1:i386{ab} libgl1:i386{a}
  libgl1-mesa-dri:i386{a} libgl1-mesa-glx:i386{a} libglapi-mesa:i386{a}
  libglvnd0:i386{a} libglx-mesa0:i386{a} libglx0:i386{a}
  libgpg-error0:i386{a} libidn2-0:i386{a} libllvm7:i386{a}
  libpciaccess0:i386{a} libsensors5:i386{a} libstdc++6:i386{ab}
  libtinfo6:i386{a} libudev1:i386{ab} libunistring2:i386{a}
  libvulkan1:i386{a} libwayland-client0:i386{a} libx11-6:i386{a}
  libx11-xcb1:i386{a} libxau6:i386{a} libxcb-dri2-0:i386{a}
  libxcb-dri3-0:i386{a} libxcb-glx0:i386{a} libxcb-present0:i386{a}
  libxcb-randr0:i386{a} libxcb-sync1:i386{a} libxcb1:i386{a}
  libxdamage1:i386{a} libxdmcp6:i386{a} libxext6:i386{a} libxfixes3:i386{a}
  libxinerama1:i386{a} libxshmfence1:i386{a} libxss1:i386{a}
  libxxf86vm1:i386{a} mesa-vulkan-drivers:i386{a} steam:i386 zlib1g:i386{a}
0 paquets mis à jour, 53 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 31,0 Mo d'archives. Après dépaquetage, 256 Mo seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
 libc6 : Casse: libc6:i386 (!= 2.29-3) but 2.28-10 is to be installed
 libc6:i386 : Casse: libc6 (!= 2.28-10) but 2.29-3 is installed
 libudev1 : Casse: libudev1:i386 (!= 242-8~bpo10+1) but 241-7~deb10u2 is to be installed
 libudev1:i386 : Casse: libudev1 (!= 241-7~deb10u2) but 242-8~bpo10+1 is installed
 libgcc1 : Casse: libgcc1:i386 (!= 1:9.2.1-19) but 1:8.3.0-6 is to be installed
 libgcc1:i386 : Casse: libgcc1 (!= 1:8.3.0-6) but 1:9.2.1-19 is installed
 libatomic1 : Casse: libatomic1:i386 (!= 9.2.1-19) but 8.3.0-6 is to be installed
 libatomic1:i386 : Casse: libatomic1 (!= 8.3.0-6) but 9.2.1-19 is installed
 libstdc++6 : Casse: libstdc++6:i386 (!= 9.2.1-19) but 8.3.0-6 is to be installed
 libstdc++6:i386 : Casse: libstdc++6 (!= 8.3.0-6) but 9.2.1-19 is installed
ouverts : 30 ; fermés : 174 ; reportés : 5 ; en conflit : 7           .Les actions suivantes permettront de résoudre ces dépendances :

      Conserver les paquets suivants dans leur version actuelle :
1)      libatomic1:i386 [Non installé]                          
2)      libbsd0:i386 [Non installé]                              
3)      libc6:i386 [Non installé]                                
4)      libdrm-amdgpu1:i386 [Non installé]                      
5)      libdrm-intel1:i386 [Non installé]                        
6)      libdrm-nouveau2:i386 [Non installé]                      
7)      libdrm-radeon1:i386 [Non installé]                      
8)      libdrm2:i386 [Non installé]                              
9)      libedit2:i386 [Non installé]                            
10)     libelf1:i386 [Non installé]                              
11)     libexpat1:i386 [Non installé]                            
12)     libffi6:i386 [Non installé]                              
13)     libgcc1:i386 [Non installé]                              
14)     libgl1:i386 [Non installé]                              
15)     libgl1-mesa-dri:i386 [Non installé]                      
16)     libgl1-mesa-glx:i386 [Non installé]                      
17)     libglapi-mesa:i386 [Non installé]                        
18)     libglvnd0:i386 [Non installé]                            
19)     libglx-mesa0:i386 [Non installé]                        
20)     libglx0:i386 [Non installé]                              
21)     libgpg-error0:i386 [Non installé]                        
22)     libidn2-0:i386 [Non installé]                            
23)     libllvm7:i386 [Non installé]                            
24)     libpciaccess0:i386 [Non installé]                        
25)     libsensors5:i386 [Non installé]                          
26)     libstdc++6:i386 [Non installé]                          
27)     libtinfo6:i386 [Non installé]                            
28)     libudev1:i386 [Non installé]                            
29)     libunistring2:i386 [Non installé]                        
30)     libvulkan1:i386 [Non installé]                          
31)     libwayland-client0:i386 [Non installé]                  
32)     libx11-6:i386 [Non installé]                            
33)     libx11-xcb1:i386 [Non installé]                          
34)     libxau6:i386 [Non installé]                              
35)     libxcb-dri2-0:i386 [Non installé]                        
36)     libxcb-dri3-0:i386 [Non installé]                        
37)     libxcb-glx0:i386 [Non installé]                          
38)     libxcb-present0:i386 [Non installé]                      
39)     libxcb-randr0:i386 [Non installé]                        
40)     libxcb-sync1:i386 [Non installé]                        
41)     libxcb1:i386 [Non installé]                              
42)     libxdamage1:i386 [Non installé]                          
43)     libxdmcp6:i386 [Non installé]                            
44)     libxext6:i386 [Non installé]                            
45)     libxfixes3:i386 [Non installé]                          
46)     libxinerama1:i386 [Non installé]                        
47)     libxshmfence1:i386 [Non installé]                        
48)     libxss1:i386 [Non installé]                              
49)     libxxf86vm1:i386 [Non installé]                          
50)     mesa-vulkan-drivers:i386 [Non installé]                  
51)     steam:i386 [Non installé]                                
52)     zlib1g:i386 [Non installé]                              

      Leave the following dependencies unresolved:              
53)     steam:i386 recommande mesa-vulkan-drivers:i386          



Accepter cette solution ? [Y/n/q/?]
 




J'accepte ?


Lenovo Ideapad S340-15API - AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx 2.10 Ghz 64BIts - 4Go RAM - Disque dur SSD

Hors ligne

#10 16-12-2019 15:50:33

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] Problème d'installation STEAM

q (quit)   sad

tu peux installer inxi ?

apt install inxi


et renvoyer le retour de

inxi -Fr


merci .  big_smile

je crois qu'il y a besoin de checker ta config ...

Dernière modification par Debian Alain (16-12-2019 15:51:48)

Hors ligne

#11 16-12-2019 16:00:19

Rabibocheur
Membre
Lieu : Marais mouillé (Poitevin)
Distrib. : Debian 10 (buster)
Noyau : Linux 5.3.0-0 amd64
(G)UI : Gnome 3.30.2 / GDM3
Inscription : 13-11-2019

Re : [RESOLU] Problème d'installation STEAM

sudo apt install inxi



inxi -Fr


System:    Host: yodadeb Kernel: 5.3.0-0.bpo.2-amd64 x86_64 bits: 64 Desktop: Gnome 3.30.2
           Distro: Debian GNU/Linux 10 (buster)
Machine:   Type: Laptop System: LENOVO product: 81NC v: Lenovo IdeaPad S340-15API serial: <root required>
           Mobo: LENOVO model: LNVNB161216 v: SDK0R32866 WIN serial: <root required> UEFI: LENOVO v: AMCN20WW(V1.04)
           date: 02/22/2019
Battery:   ID-1: BAT1 charge: 18.9 Wh condition: 51.4/52.5 Wh (98%)
CPU:       Topology: Quad Core model: AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx bits: 64 type: MT MCP L2 cache: 2048 KiB
           Speed: 1226 MHz min/max: 1400/2100 MHz Core speeds (MHz): 1: 1223 2: 1267 3: 1222 4: 1222 5: 1228 6: 1239 7: 1298
           8: 1283
Graphics:  Device-1: Advanced Micro Devices [AMD/ATI] Picasso driver: amdgpu v: kernel
           Display: wayland server: X.Org 1.20.4 driver: ati,radeon,vesa unloaded: fbdev,modesetting
           resolution: 1920x1080~60Hz
           OpenGL: renderer: AMD RAVEN (DRM 3.33.0 5.3.0-0.bpo.2-amd64 LLVM 7.0.1) v: 4.5 Mesa 18.3.6
Audio:     Device-1: Advanced Micro Devices [AMD/ATI] Raven/Raven2/Fenghuang HDMI/DP Audio driver: snd_hda_intel
           Device-2: Advanced Micro Devices [AMD] Raven/Raven2/FireFlight/Renoir Audio Processor driver: N/A
           Device-3: Advanced Micro Devices [AMD] Family 17h HD Audio driver: snd_hda_intel
           Sound Server: ALSA v: k5.3.0-0.bpo.2-amd64
Network:   Device-1: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter driver: ath10k_pci
           IF: wlp2s0 state: up mac: 3c:91:80:78:52:43
           Device-2: Qualcomm Atheros type: USB driver: btusb
Drives:    Local Storage: total: 238.47 GiB used: 17.93 GiB (7.5%)
           ID-1: /dev/nvme0n1 vendor: Lenovo O.E.M. model: RPFTJ256PDD2MWX size: 238.47 GiB
Partition: ID-1: / size: 45.58 GiB used: 5.84 GiB (12.8%) fs: ext4 dev: /dev/nvme0n1p1
           ID-2: /home size: 182.34 GiB used: 12.09 GiB (6.6%) fs: ext4 dev: /dev/nvme0n1p2
           ID-3: swap-1 size: 1.02 GiB used: 0 KiB (0.0%) fs: swap dev: /dev/nvme0n1p3
Sensors:   System Temperatures: cpu: 39.5 C mobo: N/A
           Fan Speeds (RPM): N/A
Repos:     Active apt repos in: /etc/apt/sources.list
           1: deb http://ftp.fr.debian.org/debian/ buster main contrib non-free
           2: deb http://security.debian.org/debian-security buster/updates main contrib non-free
           3: deb http://ftp.fr.debian.org/debian/ buster-updates main contrib non-free
           4: deb http://ftp.fr.debian.org/debian/ buster-backports main contrib non-free
Info:      Processes: 241 Uptime: 25m Memory: 3.36 GiB used: 1.39 GiB (41.5%) Shell: bash inxi: 3.0.32
 



merci à toi

Dernière modification par Rabibocheur (16-12-2019 16:03:15)


Lenovo Ideapad S340-15API - AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx 2.10 Ghz 64BIts - 4Go RAM - Disque dur SSD

Hors ligne

#12 16-12-2019 16:08:24

Rabibocheur
Membre
Lieu : Marais mouillé (Poitevin)
Distrib. : Debian 10 (buster)
Noyau : Linux 5.3.0-0 amd64
(G)UI : Gnome 3.30.2 / GDM3
Inscription : 13-11-2019

Re : [RESOLU] Problème d'installation STEAM

uname -srvo


Linux 5.3.0-0.bpo.2-amd64 #1 SMP Debian 5.3.9-2~bpo10+1 (2019-11-13) GNU/Linux
 


Lenovo Ideapad S340-15API - AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx 2.10 Ghz 64BIts - 4Go RAM - Disque dur SSD

Hors ligne

#13 16-12-2019 16:20:30

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] Problème d'installation STEAM

j'étais sur un fil analogue .

peux tu lancer les commandes suivantes :

apt update

apt upgrade

apt full-upgrade


regarde si aptitude te donne encore les mmes erreurs ?

aptitude -s install steam



si les mmes erreurs persistent , essaie :

apt-get -f install


et poste le retour

Hors ligne

#14 16-12-2019 16:34:49

Rabibocheur
Membre
Lieu : Marais mouillé (Poitevin)
Distrib. : Debian 10 (buster)
Noyau : Linux 5.3.0-0 amd64
(G)UI : Gnome 3.30.2 / GDM3
Inscription : 13-11-2019

Re : [RESOLU] Problème d'installation STEAM

Tout est à jour et toujours les même erreurs.

sudo apt-get -f install


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
 


Lenovo Ideapad S340-15API - AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx 2.10 Ghz 64BIts - 4Go RAM - Disque dur SSD

Hors ligne

#15 16-12-2019 17:39:36

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] Problème d'installation STEAM

je trouve curieux , tu as bien l'architecture 32 bits d'installée , pourtant , ce n'est pas le cas :
la libc6 , un paquet clé , est cassée .
donc ta config 32 bits est cassée .

peux tu réinstaller ton kernel 5.3.XX des backports ?

apt install --reinstall linux-image-5.3.0-0.bpo.2-amd64 linux-headers-5.3.0-0.bpo.2-amd64


reboot


et ensuite teste la libc6 avec la commande suivante :

aptitude why-not libc6:i386


si ta libc est toujours cassée , sais plus quoi faire .

Hors ligne

#16 16-12-2019 17:53:37

Rabibocheur
Membre
Lieu : Marais mouillé (Poitevin)
Distrib. : Debian 10 (buster)
Noyau : Linux 5.3.0-0 amd64
(G)UI : Gnome 3.30.2 / GDM3
Inscription : 13-11-2019

Re : [RESOLU] Problème d'installation STEAM

Ok, ça a l'air bon la, non ?

aptitude why-not libc6:i386


i   libc6 Casse libc6:i386 (!= 2.29-3)

Dernière modification par Rabibocheur (16-12-2019 17:54:05)


Lenovo Ideapad S340-15API - AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx 2.10 Ghz 64BIts - 4Go RAM - Disque dur SSD

Hors ligne

#17 16-12-2019 18:00:17

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.8 (amd64)
(G)UI : Openbox
Inscription : 18-11-2013
Site Web

Re : [RESOLU] Problème d'installation STEAM

Contrairement à ce que laisserait croire ton fichier de sources APT, tu n'es pas sur une Debian Buster (actuelle stable). La version de libc6 installée est celle de Debian Bullseye, l'actuelle testing.
Avant de pouvoir installer Steam, il va falloir que tu te décides sur la version de Debian que tu souhaites utiliser, et que tu corriges la situation bancale actuelle qui est à cheval entre deux versions.

Jouer sous Debian ? Facile !

Hors ligne

#18 16-12-2019 18:00:56

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] Problème d'installation STEAM

tu as réinstallé ton noyau ?

mis à jour tes sources ?

avant de tester la libc ?

normalement

aptitude why-not libc6:i386

doit donner ceci :

p   zip:i386   Fournit             zip                
p   zip:i386   Dépend              libc6:i386 (>= 2.7)
p   libc6:i386 Est en conflit avec libc6-i686:i386    
p   libc6:i386 Fournit             libc6-i686:i386



testé sur DFL 10 (buster , Xfce) en V.M. (virtualbox)

Hors ligne

#19 16-12-2019 18:04:44

Rabibocheur
Membre
Lieu : Marais mouillé (Poitevin)
Distrib. : Debian 10 (buster)
Noyau : Linux 5.3.0-0 amd64
(G)UI : Gnome 3.30.2 / GDM3
Inscription : 13-11-2019

Re : [RESOLU] Problème d'installation STEAM

Contrairement à ce que laisserait croire ton fichier de sources APT, tu n'es pas sur une Debian Buster (actuelle stable). La version de libc6 installée est celle de Debian Bullseye, l'actuelle testing.
Avant de pouvoir installer Steam, il va falloir que tu te décides sur la version de Debian que tu souhaites utiliser, et que tu corriges la situation bancale actuelle qui est à cheval entre deux versions.



J'aimerai rester sur Debian buster, comment faire ?

Mais je doit utiliser les backports pour le fonctionnement de mon matériels :
https://debian-facile.org/viewtopic.php?id=25663&p=2


Lenovo Ideapad S340-15API - AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx 2.10 Ghz 64BIts - 4Go RAM - Disque dur SSD

Hors ligne

#20 16-12-2019 18:06:08

Rabibocheur
Membre
Lieu : Marais mouillé (Poitevin)
Distrib. : Debian 10 (buster)
Noyau : Linux 5.3.0-0 amd64
(G)UI : Gnome 3.30.2 / GDM3
Inscription : 13-11-2019

Re : [RESOLU] Problème d'installation STEAM

tu as réinstallé ton noyau ?

mis à jour tes sources ?

avant de tester la libc ?




J'ai seulement réinstallé le noyau :

sudo apt install --reinstall linux-image-5.3.0-0.bpo.2-amd64 linux-headers-5.3.0-0.bpo.2-amd64



Puis mis à jour :

sudo apt update



Et enfin :

aptitude why-not libc6:i386


i   libc6 Casse libc6:i386 (!= 2.29-3)

Dernière modification par Rabibocheur (16-12-2019 18:08:27)


Lenovo Ideapad S340-15API - AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx 2.10 Ghz 64BIts - 4Go RAM - Disque dur SSD

Hors ligne

#21 16-12-2019 18:08:45

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.8 (amd64)
(G)UI : Openbox
Inscription : 18-11-2013
Site Web

Re : [RESOLU] Problème d'installation STEAM

Rabibocheur a écrit :

J'aimerai rester sur Debian buster, comment faire ?


Comme ce n'est vraiment pas lié à l'installation de Steam, je te propose d'ouvrir un nouveau fil de discussion à ce sujet et à m'en donner le lien par message privé (ou ici même).
Au passage ça me laissera le temps de préparer un guide de retour en arrière propre et compréhensible, vu que c'est une opération que je connais bien mais qui n'est pas forcément facile à expliquer simplement wink


Jouer sous Debian ? Facile !

Hors ligne

#22 16-12-2019 18:21:20

Rabibocheur
Membre
Lieu : Marais mouillé (Poitevin)
Distrib. : Debian 10 (buster)
Noyau : Linux 5.3.0-0 amd64
(G)UI : Gnome 3.30.2 / GDM3
Inscription : 13-11-2019

Re : [RESOLU] Problème d'installation STEAM

Dans quel catégorie pour le nouveau fil de discussion ?

Lenovo Ideapad S340-15API - AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx 2.10 Ghz 64BIts - 4Go RAM - Disque dur SSD

Hors ligne

#23 16-12-2019 18:22:10

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] Problème d'installation STEAM

vv222 a écrit :

La version de libc6 installée est celle de Debian Bullseye,


en lien , je pense , avec son noyau backporté , non ?

vv222  a écrit :

il va falloir que tu te décides sur la version de Debian que tu souhaites utiliser


je lui aurai volontiers conseillé de passer à testing mais , apparemment , rabibocheur veut rester sur buster .
pourtant son matériel est suffisamment récent pour passer à bullseye ...

vv222  a écrit :

Au passage ça me laissera le temps de préparer un guide de retour en arrière propre et compréhensible, vu que c'est une opération que je connais bien mais qui n'est pas forcément facile à expliquer simplement


oui , ce serai chouette de créer un tuto , j'apprécierai , j'ai parfois (pas souvent) eu le problème dans mes tentatives d'aider .

Hors ligne

#24 16-12-2019 18:33:49

Rabibocheur
Membre
Lieu : Marais mouillé (Poitevin)
Distrib. : Debian 10 (buster)
Noyau : Linux 5.3.0-0 amd64
(G)UI : Gnome 3.30.2 / GDM3
Inscription : 13-11-2019

Re : [RESOLU] Problème d'installation STEAM

Debian Alain a écrit :

je lui aurai volontiers conseillé de passer à testing mais , apparemment , rabibocheur veut rester sur buster .
pourtant son matériel est suffisamment récent pour passer à bullseye ...



Je dit vouloir rester sur buster mais sans réelle raison, donc si passer sur testing fonctionnerai aussi bien voir mieux je ne suis pas contre.

Dernière modification par Rabibocheur (16-12-2019 18:35:41)


Lenovo Ideapad S340-15API - AMD Ryzen 5 3500U with Radeon Vega Mobile Gfx 2.10 Ghz 64BIts - 4Go RAM - Disque dur SSD

Hors ligne

#25 16-12-2019 18:42:41

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : stable / testing
Noyau : Linux 5.9.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [RESOLU] Problème d'installation STEAM

okay .

bon , ben j'attends l'aide de vv222 pour revenir en arrière vers une buster "pure" .
ensuite , on verra à passer à testing .
conseillé pour ton matériel .
si tout va bien , dans  qques années , quand testing passera à stable , tu pourra garder bullseye .
ou voire à rester  sur testing . tu quittera donc , dans ce cas , bullseye pour la future future stable actuelle sid.

Hors ligne

Pied de page des forums